//
// This file was  
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.11.21 at 08:12:33 PM CET 
//

package com.ejie.ab39a.ws.client.rdr.schemas;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab39a.client.rdr.schema package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	private final static QName _RepresentativeInformation_QNAME = new QName("com/ejie/rdr/xml",
			"representativeInformation");

	private final static QName _ApoderadoInfo_QNAME = new QName("com/ejie/rdr/xml", "apoderadoInfo");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: com.ejie.ab39a.client.rdr.schema
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link RepresentativeInformationType }
	 * 
	 * @return RepresentativeInformationType RepresentativeInformationType
	 */
	public RepresentativeInformationType createRepresentativeInformationType() {
		return new RepresentativeInformationType();
	}

	/**
	 * Create an instance of {@link TerceroDeConfianzaType }
	 * 
	 * @return TerceroDeConfianzaType TerceroDeConfianzaType
	 */
	public TerceroDeConfianzaType createTerceroDeConfianzaType() {
		return new TerceroDeConfianzaType();
	}

	/**
	 * Create an instance of {@link ListaActuaciones }
	 * 
	 * @return ListaActuaciones ListaActuaciones
	 */
	public ListaActuaciones createListaActuaciones() {
		return new ListaActuaciones();
	}

	/**
	 * Create an instance of {@link ListaTercerosDeConfianza }
	 * 
	 * @return ListaTercerosDeConfianza ListaTercerosDeConfianza
	 */
	public ListaTercerosDeConfianza createListaTercerosDeConfianza() {
		return new ListaTercerosDeConfianza();
	}

	/**
	 * Create an instance of {@link ListaPersonasJuridicasType }
	 * 
	 * @return ListaPersonasJuridicasType ListaPersonasJuridicasType
	 */
	public ListaPersonasJuridicasType createListaPersonasJuridicasType() {
		return new ListaPersonasJuridicasType();
	}

	/**
	 * Create an instance of {@link Empleado }
	 * 
	 * @return Empleado Empleado
	 */
	public Empleado createEmpleado() {
		return new Empleado();
	}

	/**
	 * Create an instance of {@link PersonaJuridicaType }
	 * 
	 * @return PersonaJuridicaType PersonaJuridicaType
	 */
	public PersonaJuridicaType createPersonaJuridicaType() {
		return new PersonaJuridicaType();
	}

	/**
	 * Create an instance of {@link ListaPoderdantesType }
	 * 
	 * @return ListaPoderdantesType ListaPoderdantesType
	 */
	public ListaPoderdantesType createListaPoderdantesType() {
		return new ListaPoderdantesType();
	}

	/**
	 * Create an instance of {@link PoderdanteType }
	 * 
	 * @return PoderdanteType PoderdanteType
	 */
	public PoderdanteType createPoderdanteType() {
		return new PoderdanteType();
	}

	/**
	 * Create an instance of {@link ListaProcedimientos }
	 * 
	 * @return ListaProcedimientos ListaProcedimientos
	 */
	public ListaProcedimientos createListaProcedimientos() {
		return new ListaProcedimientos();
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link RepresentativeInformationType }{@code >}}
	 * 
	 * @param value
	 *            RepresentativeInformationType value
	 * @return JAXBElement<RepresentativeInformationType> JAXBElement
	 */
	@XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "representativeInformation")
	public JAXBElement<RepresentativeInformationType> createRepresentativeInformation(
			RepresentativeInformationType value) {
		return new JAXBElement<RepresentativeInformationType>(_RepresentativeInformation_QNAME,
				RepresentativeInformationType.class, null, value);
	}

	/**
	 * Create an instance of {@link ApoderadoInfoType }
	 * 
	 * @return ApoderadoInfo ApoderadoInfo
	 */
	public ApoderadoInfo createApoderadoInfoType() {
		return new ApoderadoInfo();
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link ApoderadoInfoType }{@code >}}
	 * 
	 * @param value
	 *            ApoderadoInfo value
	 * @return JAXBElement<ApoderadoInfo> JAXBElement<ApoderadoInfo>
	 */
	@XmlElementDecl(namespace = "com/ejie/rdr/xml", name = "apoderadoInfo")
	public JAXBElement<ApoderadoInfo> createApoderadoInfo(ApoderadoInfo value) {
		return new JAXBElement<ApoderadoInfo>(_ApoderadoInfo_QNAME, ApoderadoInfo.class, null, value);
	}
}